# $Id: marbles.spec,v 1.2 2002/07/02 11:09:32 dude Exp $

Summary: An Atomix clone for Linux that uses the SDL.
Name: marbles
Version: 1.0.4
Release: fr1
Epoch: 1
License: GPL
Group: Amusements/Games
Source: http://ftp1.sourceforge.net/lgames/%{name}-%{version}.tar.bz2
URL: http://www.lgames.org/
BuildRoot: %{_tmppath}/%{name}-root
Requires: SDL >= 1.1.4
BuildRequires: SDL-devel

%description
An Atomix clone game for Linux that uses the SDL.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_sysconfdir}/X11/applnk/Games
cat > %{buildroot}%{_sysconfdir}/X11/applnk/Games/%{name}.desktop << EOF
[Desktop Entry]
Name=Marbles
Comment=%{summary}
Exec=marbles
Icon=
Terminal=0
Type=Application
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_sysconfdir}/X11/applnk/Games/%{name}.desktop
%attr(2551, root, games) %{_bindir}/%{name}
%{_datadir}/games/%{name}
%{_mandir}/man6/%{name}*
%config(noreplace) %attr(664, games, games) %{_localstatedir}/lib/games/%{name}.prfs

%changelog
* Tue Jul  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.0.4.

* Tue Jun 25 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.0.3.

* Thu May  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.0.2.
- Rebuilt against Red Hat Linux 7.3.
- Added the %{?_smp_mflags} expansion.

* Fri Feb  8 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.0.1

* Thu Apr 24 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat 7.1.

* Thu Mar  8 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 010307.

* Tue Jan  2 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release for RedHat 7.0

